class Led
    ##This method colorizes your RGB-LED, if it's colder than your perfect temperature, your LED will blink blue;
    ##if it's hotter than your perfect temperature, your LED will blink Red
    ##and if it's in the range of your perfect temperature, your LED will blink Green
    def set_led(current_temperature, perfect_temperature, range)
        if(current_temperature < (perfect_temperature - range))
            @color = "Blue"
        elsif(current_temperature > (perfect_temperature + range))
            @color = "Red"
        else
            @color = "Green"
        end
    end

    ##This method converts the text into real RGB-values so that your mbed knows what color his led needs to be
    def get_rgb()
        if(@color == "Blue")
            return "0000FF"
        elsif(@color == "Red")
            return "FF0000"
        elsif(@color == "Green")
            return "00FF00"
        end
    end

    ##This method returns the current color of the LED
    def get_color
        "The Color of the LED is #{@color}"
    end
end
