require 'mqtt'
require 'json'

class MQTT_test

    ##With this method you can get the tmperature value of the mbed
    def get_MQTT
        temperature_topic = 'softwareengineering/thermostat/sdfghj/temperature'
        MQTT::Client.connect('mqtt.labict.be') do |client|
          while true
            client.get(temperature_topic) do |topic,message|
              json = message
              hash = JSON.parse(json)
              temp = (hash["temperature"]).to_f
              @change_block.call(temp) unless @change_block.nil?
            end
          end
        end
    end


    def change &block
        @change_block = block
    end

    ##Publish the color to the mbed so the LED will turn on
    def color(color)
        client = MQTT::Client.connect('mqtt.labict.be')
        test_hash = {"color" => color}
        converter = JSON.generate(test_hash)
        client.publish('softwareengineering/thermostat/sdfghj/led', converter, retain = false)
    end

end
